Bug 596768 - datetime.strptime does not exist
Summary: datetime.strptime does not exist
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-sprox (Show other bugs)
(Show other bugs)
Version: el5
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 13:33 UTC by Josh
Modified: 2016-09-20 02:40 UTC (History)
2 users (show)

Fixed In Version: python-sprox-0.6.10-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-08 18:00:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh 2010-05-27 13:33:43 UTC
Description of problem:
Line 318 of /usr/lib/python2.4/site-packages/sprox/saormprovider.py calls datetime.strptime which does not exist in python 2.4.

Version-Release number of selected component (if applicable):
0.6.3-1.el5

How reproducible:
Always

Steps to Reproduce:
1. create a TG2 project that calls that function.
2.
3.
  
Actual results:
AttributeError: type object 'datetime.datetime' has no attribute 'strptime', referer: https://www.kayses.us/finances2/transactions/1050/edit

Expected results:
It works

Additional info:
A workaround is could involve:
datetime.datetime(*time.strptime(t['date'], "%Y-%m-%d")[0:5])

Comment 1 Luke Macken 2011-01-20 21:26:09 UTC
Building a new EL5 package with the patch from this upstream ticket:

https://bitbucket.org/percious/sprox/issue/30/datetimedatetime-has-no-attribute-strptime

Comment 2 Fedora Update System 2011-01-20 21:31:24 UTC
python-sprox-0.6.10-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-sprox-0.6.10-2.el5

Comment 3 Fedora Update System 2011-01-21 19:21:58 UTC
python-sprox-0.6.10-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-sprox'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-sprox-0.6.10-2.el5

Comment 4 Fedora Update System 2011-02-08 18:00:17 UTC
python-sprox-0.6.10-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.